package com.jwipc.spe.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jwipc.spe.entity.SupAppraiseQuota;
import com.jwipc.spe.mapper.SupAppraiseQuotaMapper;
import com.jwipc.spe.model.po.SupAppraiseQuotaPO;
import com.jwipc.spe.model.query.SupAppraiseQuotaQuery;
import com.jwipc.spe.service.ISupAppraiseQuotaService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 供应商绩效考核指标表 服务实现类
 * </p>
 *
 * @author AL
 * @since 2024-02-28
 */
@Service
public class SupAppraiseQuotaServiceImpl extends ServiceImpl<SupAppraiseQuotaMapper, SupAppraiseQuota> implements ISupAppraiseQuotaService {
    @Override
    public List<SupAppraiseQuotaPO> findPageByQuery(Page<SupAppraiseQuota> dbPage, SupAppraiseQuotaQuery query) {
        if (dbPage==null){
            return baseMapper.findPageByQuery(query);
        }
        return baseMapper.findPageByQuery(dbPage,query);
    }
    @Override
    public SupAppraiseQuotaPO getDataById(Integer id) {
        return baseMapper.getDataById(id);
    }

}
